Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

invalid server's version String

Sundaram
2012-03-30
2013-05-28
  • Sundaram
    Sundaram
    2012-03-30

    while connecting from one particular server, I am getting this error. While in other server it's running fine.

    Following code causes problem:
    if(i==buf.buffer.Length ||
    i<7 ||                                      // SSH-1.99 or SSH-2.0
    (buf.buffer=='1' && buf.buffer!='9')  // SSH-1.5
    )
    {
                            throw new JSchException("invalid server's version String ") ;
    }

    The below condition becomes true:
    i==buf.buffer.Length

    Any idea why it's failing on one particular server?